Bug 152070 - Wish: Download view - additional column headers
Summary: Wish: Download view - additional column headers
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-09 20:08 UTC by Xenophon
Modified: 2012-04-21 10:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xenophon 2007-11-09 20:08:17 UTC
Version:           2.2.1 (using KDE 3.5.8, Kubuntu (gutsy) 4:3.5.8-0ubuntu3.1)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.22-14-generic

It would be excellent if a new column - "Download left" - can be added to the Downloads view that displays the amount of data remaining to be downloaded. The "Time left" column can be rather inaccurate at times and using the "Size" and "Downloaded" columns to calculate the difference can be tedious and inaccurate as well (accounting for bad data).

Coming from Azureus, other column headers that I find useful are:
"Tracker": Allows me to differentiate between trackers - I ensure that I hit ratio X for private trackers and am not so particular about public ones.
"File save path": If drive X is full, I can use this column to move some downloads to drive Y, thus freeing up space.

Thanks.
Comment 1 Alexey Shildyakov 2010-05-30 17:05:00 UTC
Now only "Download left" doesn't present.
Tracker - now torrents may grouped by tracker. The script "catalog by tracker" do this.
File save path. It is showed. And you also can move the files into new directory after downloading is started.
Comment 2 Joris Guisson 2012-04-21 10:46:09 UTC
Git commit 039f8652264bcf30f6860b2241c7621e7577f094 by Joris Guisson.
Committed on 21/04/2012 at 12:45.
Pushed by guisson into branch 'master'.

Add bytes left to download column in View

M  +1    -0    ChangeLog
M  +380  -367  ktorrent/view/viewmodel.cpp
M  +39   -37   ktorrent/view/viewmodel.h

http://commits.kde.org/ktorrent/039f8652264bcf30f6860b2241c7621e7577f094